package lightcontainer.protocol.rules.reader;

import lightcontainer.domains.client.Context;
import lightcontainer.protocol.ProtocolReader;

public class RetrieveErrorRule extends ProtocolReader {
    // Constants
    private static final String PATTERN = "^RETRIEVE_ERROR\r\n$";
    private static final String NAME = "RETRIEVE_ERROR";

    // Constructor
    public RetrieveErrorRule() {
        super(NAME, PATTERN);
    }

    /**
     * Cette méthode est appelée lors de l'exécution de la règle
     *
     * @param context Utilisateur context.
     * @param data    Paramètres pour créer la commande.
     */
    @Override
    protected <T extends ProtocolResult> T onExecuted(Context context, String... data) {
        return null;
    }
}
