package lightcontainer.protocol.rules.reader;

import lightcontainer.domains.client.Context;
import lightcontainer.protocol.ProtocolReader;

public class RetrieveOkRule extends ProtocolReader {
    // Constants
    private static final String PATTERN = "^RETRIEVE_OK ([A-Za-z0-9.]{50,200} [0-9]{1,10} [A-Za-z0-9.]{50,200})\r\n$";
    private static final String NAME = "RETRIEVE_OK";
    // -- arguments
    private static final int HASHED_FILE_NAME = 0; // Index hashed filename
    private static final int FILE_SIZE = 1; // Index file size
    private static final int HASHED_FILE_CONTENT = 2; // Index hashed file content

    // Variables
    public RetrieveOkRule() {
        super(NAME, PATTERN);
    }

    /**
     * Cette méthode est appelée lors de l'exécution de la règle
     *
     * @param context Utilisateur context.
     * @param data    Paramètres pour créer la commande.
     */
    @Override
    protected <T extends ProtocolResult> T onExecuted(Context context, String... data) {
        return null;
    }

    @Override
    protected <T extends ProtocolResult> T onError(Context context) {
        return super.onError(context);
    }
}
