package lightcontainer.utils;

import java.io.*;

public class FileReceiver {
    private String path;

    public FileReceiver(String path) { this.path = path; }

    public int receiveFile(InputStream input, String fileName, int fileSize, String key, String iv) {
        BufferedOutputStream bosFile = null;

        try {
            bosFile = new BufferedOutputStream(new FileOutputStream(String.format("%s/%s", path, fileName)));

            AES_GCM.encryptStream(input, bosFile, fileSize, key, iv);

            bosFile.flush();
            bosFile.close();

            File f = new File(String.format("%s/%s", path, fileName));
            return (int)f.length();
        } catch(IOException | AES_GCM.AesGcmException ex) {
            ex.printStackTrace();
            if(bosFile != null) { try { bosFile.close(); } catch(Exception e) {} }
            return -1;
        }
    }

}
